#include	"curses.ext"

/*	clrtoeol.c
 *
 *	Clears to the end of the current line.
 */

void
wclrtoeol(REG WINDOW *win )

	{
	REG INT y, x;
	REG SHORT *sp;
	SHORT *end;
	SHORT *maxx;
	SHORT minx, _space;

	_space = (_MTY_SPACE | win->_attr);
	y = win->_cury;
	x = win->_curx;
	end = &win->_y[y][win->_maxx];
	minx = _NOCHANGE;
	maxx = &win->_y[y][x];
	for (sp = maxx; sp < end; ++sp)
		if (*sp != _space)
			{
			maxx = sp;
			if (minx == _NOCHANGE)
				minx = ((unsigned) sp - (unsigned) (win->_y[y])) / sizeof( short int );
			*sp = _space;
			}
	if (minx != _NOCHANGE)			/* update firstch and lastch for the line */
		{
		if (win->_firstch[y] > minx || win->_firstch[y] == _NOCHANGE)
			win->_firstch[y] = minx;
		if (win->_lastch[y] < (x = ((unsigned) maxx - (unsigned) (win->_y[y])) / sizeof(short int)))
			win->_lastch[y] = x;
		}
	}
