#include	"curses.ext"

/*	delch.c
 *
 *	Does a delete-char on the line, leaving (_cury, _curx) unchanged.
 */

int
wdelch(REG WINDOW *win )

	{
	REG SHORT *temp1, *temp2;
	REG SHORT *end;
	
	end = &win->_y[win->_cury][win->_maxx - 1];
	temp2 = &win->_y[win->_cury][win->_curx + 1];
	temp1 = temp2 - 1;
	while (temp1 < end)
		*temp1++ = *temp2++;
	*temp1 = (_MTY_SPACE | win->_attr);
	win->_lastch[win->_cury] = win->_maxx - 1;
	if (win->_firstch[win->_cury] == _NOCHANGE ||
	  win->_firstch[win->_cury] > win->_curx)
		win->_firstch[win->_cury] = win->_curx;
	return( OK );
	}
