#include	"curses.ext"

/*	erase.c
 *
 *	Erase everything on the window.  It does not affect attributes.
 */

void
werase( win )
REG WINDOW *win;
	{
	REG   INT y;
	REG   SHORT *sp;
	SHORT *end, *start, _space;

	_cl_touchwin( win );		/* touch all but leading & trailing blanks */

	_space = (_MTY_SPACE | _ATTR_NORMAL);

	for ( y = 0; y < win->_maxy; ++y )
		{
		if ( win->_firstch[y] != _NOCHANGE )
			{
			start = win->_y[y] + win->_firstch[y];
			end   = win->_y[y] + win->_lastch[y];
			for (sp = start; sp <= end; ++sp)
				*sp = _space;
			}
		}

	win->_curx = win->_cury = 0;
	}
