#include	<stdarg.h>
#include	"curses.ext"

/*	mvprintw.c
 *
 *	Implement the mvprintw commands.  Due to the variable number of
 *	arguments, they cannot be macros.
 */


mvprintw( INT y,INT x,CHAR *fmt, ... )

	{
	va_list args;
	CHAR	buf[512];

	if( move( y, x ) == ERR )
		return( ERR );

	/* sprintf( buf, "%r", &fmt ); */
    va_start(args,fmt);
    vsprintf(buf,fmt,args);
    va_end(args);

	return( waddstr( stdscr, buf ) );
	}


mvwprintw( WINDOW *win, INT y,INT x,CHAR *fmt, ... )

	{
    va_list args;
	CHAR	buf[512];

	if( move( y, x ) == ERR )
		return( ERR );

	/* sprintf( buf, "%r", &fmt ); */

    va_start(args,fmt);
    vsprintf(buf,fmt,args);
    va_end(args);

	return( waddstr( win, buf ) );
	}
