#include	"curses.ext"
#include <stdarg.h>

/*	printw.c
 *
 *	Do a printf on the standard or given window.
 */

/*
printw( fmt )
CHAR	*fmt;
	{
	CHAR	buf[512];

	sprintf( buf, "%r", &fmt );

	return( waddstr( stdscr, buf ) );
	}
*/
printw(char *fmt, ...)

    {
	CHAR	buf[512];
    va_list ap;
    va_start(ap, fmt);

    vsprintf(buf,fmt,ap);
    va_end(ap);
	return( waddstr( stdscr, buf ) );
    }


wprintw(WINDOW *win,CHAR *fmt,... )
	{
	CHAR	buf[512];
    va_list ap;
    va_start(ap, fmt);

    vsprintf(buf,fmt,ap);
    va_end(ap);

	return( waddstr( win, buf ) );
	}
