
/* the determining factors for system dependent stuff */

#ifndef	_sys_deps
#define	_sys_deps


/*#define 			 specific operating system */
#define IBMPC		/* machine */

#ifndef __QNX__
#define abs(x) ((x)<0?-(x):(x))
#define max(a,b) ((a)>(b)?(a):(b))
#define min(a,b) ((a)<(b)?(a):(b))
#else
#include <ctype.h>
#include <stdlib.h>
#endif

#define REG		register
#define CHAR	char
#define UCHAR	unsigned char
#define BYTE	unsigned char
#define BOOL	unsigned char
#define SHORT	short int
#define USHORT	unsigned short
#define INT		short int
#define UINT	unsigned int
#define LONG	long int
#define ULONG	unsigned long
#define DOUBLE	double
#define SCHAR	sizeof( char )
#define SBYTE	sizeof( char )
#define SUCHAR	sizeof( unsigned char )
#define SSHORT	sizeof( short )
#define SUSHORT	sizeof( unsigned short )
#define SINT	sizeof( int )
#define SUINT	sizeof( unsigned int )
#define SLONG	sizeof( long )
#define SULONG	sizeof( unsigned long )
#define SDOUBLE	sizeof( double )

#ifndef TRUE
#define	TRUE	1
#define	FALSE	0
#endif

#ifndef YES
#define	YES		1
#define	NO		0
#endif

#define	CTLA	0x01
#define	CTLB	0x02
#define	CTLC	0x03
#define	CTLD	0x04
#define	CTLE	0x05
#define	CTLF	0x06
#define	CTLG	0x07
#define	CTLH	0x08
#define	CTLI	0x09
#define	CTLJ	0x0a
#define	CTLK	0x0b
#define	CTLL	0x0c
#define	CTLM	0x0d
#define	CTLN	0x0e
#define	CTLO	0x0f
#define	CTLP	0x10
#define	CTLQ	0x11
#define	CTLR	0x12
#define	CTLS	0x13
#define	CTLT	0x14
#define	CTLU	0x15
#define	CTLV	0x16
#define	CTLW	0x17
#define	CTLX	0x18
#define	CTLY	0x19
#define	CTLZ	0x1a
#define	RS  	0x1e


/* Operating System dependent defines */

#ifdef	UNIX4_2
#define	READ		"r"
#define	WRITE		"w"
#define	APPEND		"a"
#define	UPDATE		"r+"
#define	CR_UPDATE	"w+"
#endif

#ifdef	UNIXS3
#define READ		"r"
#define WRITE		"w"
#define	APPEND		"a"
#define UPDATE		"r+"
#define CR_UPDATE	"w+"
#endif

#ifdef	__QNX__
#define READ		"r"
#define WRITE		"w"
#define	APPEND		"a"
#define UPDATE		"rw"
#define CR_UPDATE	"rw"

#define	UP		0xa2
#define	LEFT	0xa4
#define	RIGHT	0xa6
#define	DOWN	0xa9
#define	INSERT	0xab
#define	DELETE	0xac

#define	FN1		0x81
#define	FN2		0x82
#define	FN3		0x83
#define	FN4		0x84
#define	FN5		0x85
#define	FN6		0x86
#define	FN7		0x87
#define	FN8		0x88
#define	FN9		0x89
#define	FN10	0x8a

#define	SFN1	0x8b
#define	SFN2	0x8c
#define	SFN3	0x8d
#define	SFN4	0x8e
#define	SFN5	0x8f
#define	SFN6	0x90
#define	SFN7	0x91
#define	SFN8	0x92
#define	SFN9	0x93
#define	SFN10	0x94

#define	CFN1	0x95
#define	CFN2	0x96
#define	CFN3	0x97
#define	CFN4	0x98
#define	CFN5	0x99
#define	CFN6	0x9a
#define	CFN7	0x9b
#define	CFN8	0x9c
#define	CFN9	0x9d
#define	CFN10	0x9e

#define	AFN1	0xd1
#define	AFN2	0xd2
#define	AFN3	0xd3
#define	AFN4	0xd4
#define	AFN5	0xd5
#define	AFN6	0xd6
#define	AFN7	0xd7
#define	AFN8	0xd8
#define	AFN9	0xd9
#define	AFN10	0xda

#else
#define	tfprintf	fprintf
#define	tsprintf	sprintf

#define equal(a,b) (! strcmp((a),(b)))
#endif

#ifdef	DESMET
#define READ	"r"
#define WRITE	"w"
#endif

#ifdef	UNIFLEX
#define READ	"r"
#define WRITE	"w"
#define UPDATE	"u"
#define	CR_UPDATE "u"
#endif


/* Machine dependent defines */

#endif
