/* test.c */
#include <stdio.h>
#include <sys/dev.h>
#include <curses.h>

/*
#define ESC	0x1B
*/


main()
	{
	char c, str[20];
	int x,y;

	initscr();
	noecho();
	raw();
	term_init() ;
	scrollok(stdscr,TRUE);
	refresh();

	while ( (c = wgetchar()) != 'q')
		{ 
		if( c != ESC )
			{
			if (waddch(stdscr,c) == ERR)
				{
				fprintf( stderr, "ERR from waddch" );
				exit(0);
				}
			refresh();
			}
		else
			{
			switch ( wgetchar() )
				{
				case 'i':
					switch ( wgetchar() )
						{
						case 'c':
							c = wgetchar();
							winsch(stdscr,c);
							refresh();
							break;
						case 'l':
							if (winsertln(stdscr) == ERR) 
								exit(0);
							break;
						}
					break;
				case 'c':
					switch ( wgetchar() )
						{
						case 'b':
							wclrtobot(stdscr);
							refresh();
							break;
						case 'l':
							wclrtoeol(stdscr);
							refresh();
							break;
						case 'a':
							wclear(stdscr);
							break;
						case 'c':
							touchwin(stdscr);
							refresh();
							break;
						}
					break;
				case 'b':
					box(stdscr,'*','*');
					refresh();
					break;
				case 'a':
					switch ( wgetchar() )
						{
						case 'n':
							wnormal(stdscr);;
							break;
						case 'b':
							wblink(stdscr);
							break;
						case 's':
							wstandout(stdscr);
							break;
						case 'u':
							wunderline(stdscr);
							break;
						case 'i':
							winverse(stdscr);
							break;
						}
					break;
				case 'm':
					y = wgetchar() - '0';
					x = wgetchar() - '0';
					wmove(stdscr,y,x);
					break;
				case 'p':
					mvwprintw(stdscr,3,3,"this is %d test",1);
					break;
				case 's':
					wscanw(stdscr,"%d,%d",&y,&x);
					sprintf(str,"%s %d,%d","input ok",y,x);
					waddstr(stdscr,str);
					mvwprintw(stdscr,y,x,"input ok");
					break;
				case 'd':
					switch ( wgetchar() )
						{
						case 'l':
							wdeleteln(stdscr);;
							break;
						case 'c':
							wdelch(stdscr);
							break;
						}
					refresh();
					break;
				}
			}
		}

	endwin();
	}
