/* test1.c */

#include <stdio.h>
#include <curses.h>
#include <sys/qnxterm.h>
#include <sys/dev.h>
/*
#define ESC 0x1b
*/
WINDOW	*win1, *win2;


main()
	{
	char c, str[20];
	WINDOW *win;
	int x,y;

	initscr();
	refresh();
	noecho();
	raw();
	if ((win1 = newwin(15,15,0,0)) == ERR )
		{
		printf("ERROR: newwin returned non window\\n");
		exit(0);
		}
	if ((win2 = newwin(20,20,1,20)) == ERR )
		{
		printf("ERROR: newwin returned non window\\n");
		exit(0);
		}
	scrollok(win1,TRUE);
	scrollok(win2,TRUE);
	winverse(win1);
	box(win1,'1','1');
	wrefresh(win1);
	wbold(win2);
	box(win2,'2','2');
	wrefresh(win2);
	win = win1;
	wmove( win, 1, 1 );
	wrefresh( win );
	while ( (c = wgetchar()) != 'q')
		{ 
		switch (c)
			{
			case ESC:
				c = wgetchar();
				switch (c)
					{
					case 'w':
						c = wgetchar();
						switch (c)
							{
							case '1':
								touchwin( win = win1 );
								wrefresh(win);
								break;
							case '2':
								touchwin( win = win2 );
								wrefresh(win);
								break;
							case 'm':
								if (wgetstr(win,str)== ERR)
									exit(0);
								y = atoi(str);
								if (wgetstr(win,str)== ERR)
									exit(0);
								x = atoi(str);
								if (mvwin(win,y,x) == ERR)
									{
									fprintf(stderr, "mvwin error(%d,%d)",y,x);
									exit(0);
									}
								clearok( stdscr, TRUE );
								if( win == win2 )
									{
									touchwin( win1 );
									wrefresh(win1);
									}
								touchwin( win2 );
								wrefresh(win2);
								if( win == win1 )
									{
									touchwin( win1 );
									wrefresh(win1);
									}
								break;
							}
						wrefresh(win);
						break;
					case 'i':
						c = wgetchar();
						switch (c)
							{
							case 'c':
								c = wgetchar();
								winsch(win,c);
								wrefresh(win);
								break;
							case 'l':
								if (winsertln(win) == ERR) 
									exit(0);
								break;
							}
						break;
					case 'o':
						c = wgetchar();
						switch (c)
							{
							case 'l':
								overlay(win,win==win1?win2:win1);
								wrefresh(win==win1?win2:win1);
								break;
							case 'w':
								overwrite(win,win==win1?win2:win1);
								wrefresh(win==win1?win2:win1);
								break;
							}        
						break;
					case 'c':
						c = wgetchar();
						switch (c)
							{
							case 'b':
								wclrtobot(win);
								wrefresh(win);
								break;
							case 'l':
								wclrtoeol(win);
								wrefresh(win);
								break;
							case 'a':
								wclear(win);
								break;
							case 'c':
								touchwin(win1);
								touchwin(win2);
								wrefresh(win1);
								wrefresh(win2);
								break;
							}
						break;
					case 'b':
						c = wgetchar();
						switch (c)
							{
							case '1':
								box(win1,'*','*');
								wrefresh(win1);
								break;
							case '2':
								box(win2,'*','*');
								wrefresh(win2);
								break;
							}
						break;
					case 'a':
						c = wgetchar();
						switch (c)
							{
							case 'n':
								wnormal(win);;
								break;
							case 'b':
								wblink(win);
								break;
							case 'o':
								wbold(win);
								break;
							case 's':
								wstandout(win);
								break;
							case 'u':
								wunderline(win);
								break;
							case 'i':
								winverse(win);
								break;
							}
						break;
					case 'm':
						y = wgetchar() - '0';
						x = wgetchar() - '0';
						wmove(win,y,x);
						break;
					case 'p':
						mvwprintw(win1,3,3,"this is %d test",1);
						strcpy(str,"some");
						mvwprintw(win2,4,4,"this is %s test",str);
						break;
					case 's':
						wscanw(win,"%d,%d",&y,&x);
						sprintf(str,"%s %d,%d","input ok",y,x);
						waddstr(win,str);
						mvwprintw(win==win1?win2:win1,y,x,"input ok");
						break;
					case 'd':
						c = wgetchar();
						switch (c)
							{
							case 'l':
								wdeleteln(win);;
								break;
							case 'c':
								wdelch(win);
								break;
							}
						wrefresh(win);
						break;
					}
				break;
			default:
				if (waddch(win,c) == ERR)
					exit(0);
				wrefresh(win);
				break;
			}
		}
	
	delwin(win1);
	delwin(win2);
	endwin();
	}
