#include	"curses.ext"

/*	box.c
 *
 *	Draw a box around the given window with "vert" as the vertical
 *	delimiting char-attribute, and "hor", as the horizontal one. 
 */

void
box(REG WINDOW *win,SHORT vert,SHORT hor )

	{ 
	REG INT i, j;
	INT endy, endx;
	SHORT *fp, *lp;

	vert &= 0x00ff;
	hor  &= 0x00ff;

	endx = win->_maxx;
	endy = win->_maxy - 1;
	fp = win->_y[0];
	lp = win->_y[endy];

	for (i = 0; i < endx; ++i)
		fp[i] = lp[i] = hor;
	--endx;

	for (i = 0; i <= endy; ++i)
		{
		win->_y[i][0] = win->_y[i][endx] = vert;
		for (j = 0; j <= endx; ++j)
			win->_y[i][j] = ((win->_y[i][j] & 0x00ff) | win->_attr);
		}

	if (!win->_scroll && (win->_flags&_SCROLLWIN))
		fp[0] = fp[endx] = lp[0] = lp[endx] = (_MTY_SPACE | _ATTR_NORMAL);

	touchwin( win );
	}
