#include	"curses.ext"

/*	clrtobot.c
 *
 *	Erase everything on the window below current (x,y).
 */

int
wclrtobot(REG WINDOW *win )

	{ 
	REG INT y;
	REG SHORT *sp;
	SHORT *end, *maxx;
	SHORT _space, startx, minx;
	SHORT x;

	startx = win->_curx;
	for (y = win->_cury; y < win->_maxy; ++y)
		{
		minx = _NOCHANGE;
		end = &win->_y[y][win->_maxx];
		_space = (_MTY_SPACE | win->_attr);
		for (sp = &win->_y[y][startx]; sp < end; ++sp)
			if (*sp != _space)
				{
				maxx = sp;
				if (minx == _NOCHANGE)
					minx = ((unsigned) sp - (unsigned) (win->_y[y])) / sizeof( short int);
				*sp = _space;
				}
		if (minx != _NOCHANGE)
			{
			if (win->_firstch[y] > minx || win->_firstch[y] == _NOCHANGE)
				win->_firstch[y] = minx;
			if (win->_lastch[y] < (x = ((unsigned) maxx - (unsigned) (win->_y[y])) / sizeof(short int)))
				win->_lastch[y] = x;
			}
		startx = 0;
		}
	win->_curx = win->_cury = 0;
	return 1;
	}
