#include	"curses.ext"

/*	deleteln.c  
 *
 *	Delete a line from the screen.  Leaves (_cury, _curx) unchanged.
 */

void
wdeleteln( win )
WINDOW *win;
	{
	REG   WINDOW *lwin;
	REG   SHORT *temp;
	SHORT *end, *savedelln;
	SHORT y, i, _space;

	_space = (_MTY_SPACE | win->_attr);

	if ( win->_flags & _FULLWIN )
		{
		savedelln = win->_y[win->_cury];
		for( lwin = win; lwin; lwin = (WINDOW *)lwin->_nextp )	/* roll over sub-windows */
			{
			temp = win->_y[win->_cury];
			for (y = lwin->_cury; y < lwin->_maxy - 1; ++y)	/* lines 0 thru (last-1) */
				{
				for( i = 0; i < lwin->_maxx-1; ++i )		/* chars on each line */
					if( lwin->_y[y][i] != lwin->_y[y+1][i] )
						{
						lwin->_firstch[y] = (lwin->_firstch[y] == _NOCHANGE) ? i : min(i,lwin->_firstch[y]);
						for( i = lwin->_maxx-1; i >= 0 ; --i )
							if( lwin->_y[y][i] != lwin->_y[y+1][i] )
								{
								lwin->_lastch[y] = max(i, lwin->_lastch[y]);
								break;
								}
						break;
						}
				lwin->_y[y] = lwin->_y[y+1];
				}
			for( i = 0; i < lwin->_maxx-1; ++i )			/* last line's chars */
				if( lwin->_y[y][i] != _space )
					{
					lwin->_firstch[y] = (lwin->_firstch[y] == _NOCHANGE) ? i : min(i,lwin->_firstch[y]);
					for( i = lwin->_maxx-1; i >= 0 ; --i )
						if( lwin->_y[y][i] != _space )
							{
							lwin->_lastch[y] = i;
						lwin->_lastch[y] = max(i, lwin->_lastch[y]);
							break;
							}
					break;
					}
			win->_y[y] = temp;
			}
		}
	else
		{
		lwin = win;
		for (y = lwin->_cury; y < lwin->_maxy - 1; ++y)	/* lines 0 thru (last-1) */
			{
			for( i = 0; i < lwin->_maxx-1; ++i )		/* chars on each line */
				if( lwin->_y[y][i] != lwin->_y[y+1][i] )
					{
					lwin->_firstch[y] = (lwin->_firstch[y] == _NOCHANGE) ? i : min(i,lwin->_firstch[y]);
					for( i = lwin->_maxx-1; i >= 0 ; --i )
						if( lwin->_y[y][i] != lwin->_y[y+1][i] )
							{
							lwin->_lastch[y] = max(i, lwin->_lastch[y]);
							break;
							}
					break;
					}
/*was copy*/	memcpy( lwin->_y[y], lwin->_y[y+1], lwin->_maxx * sizeof(short int) );
			}
		for( i = 0; i < lwin->_maxx-1; ++i )			/* last line's chars */
			if( lwin->_y[y][i] != _space )
				{
				lwin->_firstch[y] = (lwin->_firstch[y] == _NOCHANGE) ? i : min(i,lwin->_firstch[y]);
				for( i = lwin->_maxx-1; i >= 0 ; --i )
					if( lwin->_y[y][i] != _space )
						{
						lwin->_lastch[y] = max(i, lwin->_lastch[y]);
						break;
						}
				break;
				}
		savedelln = win->_y[y];
		}

	for (end = &savedelln[win->_maxx]; savedelln < end; )	/* space out last line */
		*savedelln++ = _space;
	}
