#include	"curses.ext"

/*	insertln.c
 *
 *	Do an insert-line on the window, leaving (_cury, _curx) unchanged.
 */


winsertln( win )
REG WINDOW *win;
	{
	REG INT *temp;
	REG INT y;
	INT *end;
	INT _space;

	for (y = win->_maxy - 1; y > win->_cury; --y)
		{
/*was copy*/
		memcpy( win->_y[y], win->_y[y-1], win->_maxx * sizeof( short int ) );
		win->_firstch[y] = 0;
		win->_lastch[y] = win->_maxx - 1;
		}
	temp = win->_y[win->_cury];
	_space = _MTY_SPACE | win->_attr;
	for (end = &temp[win->_maxx]; temp < end; )
		*temp++ = _space;
	win->_firstch[win->_cury] = 0;
	win->_lastch[win->_cury] = win->_maxx - 1;
	if (win->_cury == LINES - 1 && win->_y[LINES-1][COLS-1] != _MTY_SPACE )
		if (win->_scroll)
			{
			scroll( win );
			--win->_cury;
			}
		else
			return( ERR );

	return( OK );
	}
