#include	"curses.ext"
#include	<stdarg.h>

/*	mvscanw.c
 *
 *	Implement the mvscanw commands.  Due to the variable number of
 *	arguments, they cannot be macros.
 */


mvscanw(int y,int x,char *fmt, ... )
/*
INT		y, x;
CHAR	*fmt;
*/
	{
	va_list args;
	int nargs;
	CHAR	buf[512];

	if ( move( y, x ) == ERR || wgetstr( stdscr, buf ) == ERR)
		return( ERR );

	/* return( sscanf( buf, "%r", &fmt ) ); */
	va_start(args, fmt);
	nargs = vsscanf(buf,fmt,args);
	va_end(args);
	return(nargs);
	}


mvwscanw( win, y, x, fmt, ... )
WINDOW	*win;
INT		y, x;
CHAR	*fmt;
	{
    va_list args;
	CHAR	buf[512];
    int nargs;

	if ( wmove( win, y, x ) == ERR || wgetstr( win, buf ) == ERR)
		return( ERR );

	/*return( sscanf( buf, "%r", &fmt ) );*/
	va_start(args, fmt);
	nargs = vsscanf(buf,fmt,args);
	va_end(args);
	return(nargs);
	}
