#include	"curses.ext"
#include	<sys/qnxterm.h>

/*	refresh.c
 *
 *	Make the current screen look like "win" over the area covered by win.
 */

#ifndef __QNX__
static SHORT ly, lx;
#endif
static CHAR  in_grf;
extern unsigned My_Device;

wrefresh( win )
REG WINDOW *win;
	{
	REG SHORT wy;

	if (win->_clear)
		{
		if (win->_flags & _FULLWIN)
			{
			clear_screen();
			_cl_touchwin( win );
			}
		win->_clear = FALSE;
		}
	if (stdscr->_clear)
		{
		clear_screen();
		stdscr->_clear = FALSE;
		}

	for (wy = 0; wy < win->_maxy; ++wy)
		{
		if (win->_firstch[wy] != _NOCHANGE)
			makech( win, wy );
		win->_firstch[wy] = win->_lastch[wy] = _NOCHANGE;
		}

	if( in_grf )
		{
#ifdef __QNX__
		term_box_off();
#else
		term_esc( tcap_entry.box_end );
#endif
		in_grf = FALSE;
		}

	mvcur( win->_cury + win->_begy, win->_curx + win->_begx );

	return( OK );
	}


static makech( win, wy )		 /* make a change on the screen  */
REG   WINDOW *win;
SHORT wy;
	{
	REG   INT i, k;
	SHORT line_attr, real_attr;
	SHORT lch;
	CHAR  buf[512];
	
	lch = win->_lastch[wy];
	for( i = win->_firstch[wy]; i <= lch; )
		{
		line_attr = win->_y[wy][i] & 0xff80;
		for( k=0; i <= lch && line_attr == (win->_y[wy][i] & 0xff80); ++k, ++i )
			buf[k] = (win->_y[wy][i] & 0x00ff);
		buf[k] = 0;

		real_attr = _en_color;
		if( i > lch )
			real_attr |= 0x0040;		/* turn flush if last part of line */
		if( line_attr & BOLD )
			real_attr |= 0x0002;
		real_attr |= ((line_attr & FG_COLORS) >> 4 );
		if( _en_color )
			real_attr |= ((line_attr & BG_COLORS) << 3 );
		else
			{
			if( line_attr & BLINK )
				real_attr |= 0x0001;
			if( line_attr & INVERSE )
				real_attr |= 0x0004;
			if( line_attr & UNDERLINE )
				real_attr |= 0x0008;
			}

		if( line_attr & GRAPHIC_CHAR )
			{
			if( ! in_grf )
				{
#ifdef __QNX__
				term_box_on();
#else
				term_esc( tcap_entry.box_beg );
#endif
				in_grf = TRUE;
				}
			}
		else /* ! (line_attr & GRAPHIC_CHAR) */
			{
			if( in_grf )
				{
#ifdef __QNX__
				term_box_off();
#else
				term_esc( tcap_entry.box_end );
#endif
				in_grf = FALSE;
				}
			}
#ifndef __QNX__
		if (! tcap_entry.term_type){
        video_put_attr(My_Device ,wy + win->_begy,i - k + win->_begx, 1 , k ,real_attr);
        video_put_text(My_Device ,wy + win->_begy,i - k + win->_begx, buf , k);
        }
        else
#endif
		term_type( wy + win->_begy, i - k + win->_begx, buf, k, real_attr );
		}
	}
