#include	"curses.ext"
#include <stdarg.h>

/*
 *	scanw.c
 *
 *	Do a scanf from the standard or given window.
 */


scanw(char *fmt, ... )
/*
CHAR	*fmt;
*/
	{
	va_list args ;
	int nargs;
	CHAR	buf[512];

	if (wgetstr( stdscr, buf ) == ERR)
		return( ERR );

	/* return( sscanf( buf, "%r", &fmt ) );*/
    va_start(args,fmt);
	nargs = vsscanf(buf,fmt,args);
	va_end(args);
	return(nargs);
	}


wscanw(WINDOW *win,char *fmt, ...)
/*
WINDOW	*win;
CHAR	*fmt;
*/
	{
	CHAR	buf[512];
	int nargs;
    va_list args;

	if (wgetstr( win, buf ) == ERR)
		return( ERR );

	/* return( sscanf( buf, "%r", &fmt ) ); */
    va_start(args,fmt);
	nargs = vsscanf(buf,fmt,args);
	va_end(args);
	return(nargs);

	}
