#include	"curses.ext"

/*	touchwin.c
 *
 *	Make it look like the whole window has been changed.
 */

void
touchwin( win )
REG WINDOW *win;
	{
	REG INT y;
	INT maxy, maxx;

	maxy = win->_maxy;
	maxx = win->_maxx - 1;

	for (y = 0; y < maxy; ++y)
		{
		win->_firstch[y] = 0;
		win->_lastch[y] = maxx;
		}
	}

void
_cl_touchwin( win )		/* will touch only the non-blank portion */
REG WINDOW *win;
	{
	REG INT y, temp;
	INT maxy, maxx, _space;

	maxy = win->_maxy;
	maxx = win->_maxx - 1;

	_space = (_MTY_SPACE | _ATTR_NORMAL);

	for (y = 0; y < maxy; ++y)
		{
		for( temp = 0; win->_y[y][temp] == _space && temp <= maxx; ++temp )
			;
		if( temp > maxx )
			win->_firstch[y] = win->_lastch[y] = _NOCHANGE;
		else
			{
			win->_firstch[y] = temp;
			for( temp = maxx; win->_y[y][temp] == _space && temp >= 0; --temp )
				;
			win->_lastch[y] = temp;
			}
		}
	}
